# Get

Fetch an agent by its `agent_id` slug.





```http
GET /api/public/v1/agents/{agent_id}
```

`{agent_id}` accepts either the ULID (`cci_...`) or the human-readable slug (the agent's `agent_id` field).

## Example [#example]

<Tabs items="[&#x22;bash&#x22;, &#x22;TypeScript&#x22;, &#x22;Ruby&#x22;, &#x22;Python&#x22;, &#x22;Go&#x22;]">
  <Tab value="bash">
    ```bash
    curl -X GET https://api.nairi.ai/api/public/v1/agents/AGENT_ID \
      -H "Authorization: Bearer $NAIRI_API_KEY"
    ```
  </Tab>

  <Tab value="TypeScript">
    ```ts
    const res = await fetch(`https://api.nairi.ai/api/public/v1/agents/${agentId}`, {
      headers: {
        Authorization: `Bearer ${process.env.NAIRI_API_KEY}`,
      },
    });
    const agent = await res.json();
    ```
  </Tab>

  <Tab value="Ruby">
    ```ruby
    require "net/http"
    require "json"
    require "uri"

    uri = URI("https://api.nairi.ai/api/public/v1/agents/#{agent_id}")
    req = Net::HTTP::Get.new(uri)
    req["Authorization"] = "Bearer #{ENV['NAIRI_API_KEY']}"

    res = Net::HTTP.start(uri.host, uri.port, use_ssl: true) { |h| h.request(req) }
    agent = JSON.parse(res.body)
    ```
  </Tab>

  <Tab value="Python">
    ```python
    import os
    import requests

    res = requests.get(
        f"https://api.nairi.ai/api/public/v1/agents/{agent_id}",
        headers={"Authorization": f"Bearer {os.environ['NAIRI_API_KEY']}"},
    )
    agent = res.json()
    ```
  </Tab>

  <Tab value="Go">
    ```go
    package main

    import (
    	"encoding/json"
    	"fmt"
    	"io"
    	"net/http"
    	"os"
    )

    func main() {
    	agentID := os.Getenv("AGENT_ID")
    	req, _ := http.NewRequest("GET", "https://api.nairi.ai/api/public/v1/agents/"+agentID, nil)
    	req.Header.Set("Authorization", "Bearer "+os.Getenv("NAIRI_API_KEY"))
    	res, _ := http.DefaultClient.Do(req)
    	defer res.Body.Close()
    	raw, _ := io.ReadAll(res.Body)
    	var agent map[string]any
    	json.Unmarshal(raw, &agent)
    	fmt.Println(agent)
    }
    ```
  </Tab>
</Tabs>

## Response [#response]

```json
{
  "id": "cci_01KEQ6963XS96YDP3NF9NKB7QJ",
  "name": "My Agent",
  "agent_id": "my-agent",
  "instances_count": 1,
  "description": "Agent description",
  "is_self_hosted": false,
  "system_prompt": null,
  "created_at": "2026-04-12T18:45:12.000Z",
  "updated_at": "2026-04-12T18:45:12.000Z"
}
```
